Subject: Re: [bug#28151] [PATCH] gnu: Add honcho.

From: Marius Bakke <[email-masked]>
Date: Tue, 22 Aug 2017 00:00:04 +0200

Stefan Reichör <[email-masked]> writes:

> * gnu/packages/python.scm (python-honcho): New variable.

Thanks!  I noticed this runs no tests, can you try to add a phase that
invokes "pytest" instead of relying on the default "setup.py test"?

It looks like it might require some extra (native) inputs, but they
should already be in Guix:

https://github.com/nickstenning/honcho/blob/master/tox.ini#L17

Also, since this seems to be some kind of process manager, perhaps it
would be better suited in 'admin.scm' (without the 'python-' prefix)?

Just a question, anyway.  The patch looks good to me (but make sure it
passes `guix lint`).

TIA!